as.function {base} | R Documentation

## Convert Object to Function

### Description

`as.function` is a generic function which is used to convert objects to functions.

`as.function.default` works on a list `x`, which should contain the concatenation of a formal argument list and an expression or an object of mode `"call"` which will become the function body. The function will be defined in a specified environment, by default that of the caller.

### Usage

    as.function(x, ...)

    ## Default S3 method:
    as.function(x, envir = parent.frame(), ...)

### Arguments

`x` | object to convert, a list for the default method.
`...` | additional arguments, depending on object
`envir` | environment in which the function should be defined

### Value

The desired function.

### Note

For ancient historical reasons, `envir = NULL` uses the global environment rather than the base environment. Please use `envir = globalenv()` instead if this is what you want, as the special handling of `NULL` may change in a future release.

### Author(s)

Peter Dalgaard

### See Also

`function`; `alist` which is handy for the construction of argument lists, etc.

### Examples

    as.function(alist(a = , b = 2, a+b))
    as.function(alist(a = , b = 2, a+b))(3)

[Package base version 3.6.0 Index]